<template>
    <div>
        <small v-if="showError" class="text-danger">
            Something went wrong. Please try again
        </small>
        <vue-simplemde class="mb-4" @input="$v.form.content.$touch" v-model="form.content" ref="markdownEditor"/>

        <div>
            <button class="btn btn-success c-answer-item__cta" :class="{'disabled': $v.form.$invalid}"
                    :disabled="$v.form.$invalid" v-on:click="$emit('content-saved',form.content)">Save
            </button>

        </div>
    </div>
</template>

<script>
    import VueSimplemde from 'vue-simplemde'
    import {required} from 'vuelidate/lib/validators'

    export default {
        name: "AnswerForm",
        components: {
            VueSimplemde
        },
        validations: {
            form: {
                content: {
                    required,
                }
            }

        },
        data() {
            return {
                form: {
                    content: this.content
                }
            }
        },
        props: {
            content: {type: String, default: ''},
            showError: {type: Boolean, default: false}

        }
    }
</script>

